WAFFLE_TEARDOWN(3)

NAME
waffle_teardown - Teardown waffle's per-process global state

SYNOPSIS

#include <waffle.h>

bool waffle_teardown(void);

DESCRIPTION

Feature test macro: WAFFLE_API_VERSION >= 0x0106. (See waffle_feature_test_macros(7)).

waffle_teardown() tears down the per-process global state of the waffle library.

А call to waffle_teardown() can fail. In the case it does the caller is advised to use waffle_error_get_info, waffle_error_get_code and/or waffle_error_to_string to retrieve the error. In case of an error that differs from WAFFLE_ERROR_NOT_INITIALIZED the caller should not use the Waffle API as the global state is likely to be in an undetermined/corrupt. In the case of WAFFLE_ERROR_NOT_INITIALIZED one should call waffle_init() prior to reusing Waffle.

RETURN VALUE

Functions whose return type is bool return true on success and false on failure. Functions whose return type is a pointer return NULL on failure. Use waffle_error_get_info(3) to get information about any errors.

ERRORS

See waffle_error(3) for the complete list of waffle's error codes.

WAFFLE_ERROR_NOT_INITIALIZED
    Waffle has not been initialized with a successful call to waffle_init() since the last call to waffle_teardown() or the start of the program.

ISSUES

Please report bugs or and feature requests to https://gitlab.freedesktop.org/mesa/waffle/issues.

SEE ALSO

    waffle_init(3),
    waffle(7).

AUTHOR

Emil Velikov <emil.l.velikov@gmail.com>
    Maintainer

COPYRIGHT
Copyright © 2013 Intel

This manual page is licensed under the Creative Commons Attribution-ShareAlike 3.0 United States License (CC BY-SA 3.0). To view a copy of this license, visit http://creativecommons.org.license/by-sa/3.0/us.